<?php
function maxsite_get_page($args = '') {
	global $wpdb;
	parse_str($args, $r);
	if ( !isset($r['sort_column']) ) $r['sort_column'] = 'menu_order';
	if ( !isset($r['sort_order']) )	 $r['sort_order'] = 'ASC';
	if ( !isset($r['tag_start']) )   $r['tag_start'] = '';
	if ( !isset($r['tag_end']) )     $r['tag_end'] = '<br />';
	if ( !isset($r['echo']) )        $r['echo'] = true;
 	$exclusions = '';
	if ( !empty($r['exclude']) ) {
		$expages = preg_split('/[s,]+/', $r['exclude']);
		if ( count($expages) ) {
			foreach ( $expages as $expage ) {
				$exclusions .= ' AND ID <> ' . intval($expage) . ' ';
			}
		}
	}
	$out = '';
	$request = "SELECT ID, post_title, post_type, post_status
				FROM $wpdb->posts
				WHERE post_status='publish' AND post_type='page' $exclusions
				ORDER BY " .
				$r['sort_column'] . " " . $r['sort_order'];
	$res = $wpdb->get_results($request);
	if($res){
		foreach ($res as $post) {
			$post_title = stripslashes($post->post_title);
			$link = get_permalink($post->ID);
			$out .=	 $r['tag_start'] . '<a href="' . $link .'" title="' . $post_title . '">' .
					$post_title . '</a>' . $r['tag_end'];
		}
	if ($r['echo']) echo $out;
		else return $out;
	}
}
?>